[Android] [PATCH 1/3] Add option to only build native libs

Geoffrey Métais geoffrey.metais at gmail.com
Thu Nov 13 17:48:51 CET 2014


---
 compile.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/compile.sh b/compile.sh
index ce71597..ab5527b 100755
--- a/compile.sh
+++ b/compile.sh
@@ -70,7 +70,9 @@ if [ `set -- ${ANDROID_ABI}; echo $#` -gt 1 ]; then
         cp -r obj/$i vlc-android/libs/
         rm -rf obj/$i
     done
-    make -b -j1 RELEASE=$RELEASE apk || exit 1
+    if [ "$JNI" = 0 ];then
+      make -b -j1 RELEASE=$RELEASE apk || exit 1
+    fi
     exit 0
 fi
 
-- 
1.9.1



More information about the Android mailing list